<?php Block::put('breadcrumb') ?>
    <ul>
        <li><a href="<?= Backend::url('ims/pagecontenteditor/pagecontentcontroller') ?>">PageContentController</a></li>
        <li><?= e($this->pageTitle) ?></li>
    </ul>
<?php Block::endPut() ?>

<?php if (!$this->fatalError): ?>

    <!--<?= Form::open(['class' => 'layout']) ?>

        <div class="layout-row">
            <?= $this->formRender() ?>
        </div>-->

    <?php Block::put('form-contents') ?>

        <div class="layout-row min-size">
            <?= $this->formRenderOutsideFields() ?>
        </div>
        <div class="layout-row">
            <?= $this->formRenderPrimaryTabs() ?>
</div>

        <div class="form-buttons">
            <div class="loading-indicator-container">
                <button
                    type="submit"
                    data-request="onSave"
                    data-hotkey="ctrl+s, cmd+s"
                    data-load-indicator="<?= e(trans('backend::lang.form.saving')) ?>"
                    class="btn btn-primary">
                    <?= e(trans('backend::lang.form.create')) ?>
                </button>
                <button 
                    type="button"
                    data-request="onSave"
                    data-request-data="close:1"
                    data-hotkey="ctrl+enter, cmd+enter"
                    data-load-indicator="<?= e(trans('backend::lang.form.saving')) ?>"
                    class="btn btn-default">
                    <?= e(trans('backend::lang.form.create_and_close')) ?>
                </button>
                <span class="btn-text">
                    <?= e(trans('backend::lang.form.or')) ?> <a href="<?= Backend::url('ims/pagecontenteditor/pagecontentcontroller') ?>"><?= e(trans('backend::lang.form.cancel')) ?></a>
                </span>
            </div>
        </div>

    <?php Block::endPut() ?>

        <?php Block::put('form-sidebar') ?>
            <h3>Details</h3>
            <div class="hide-tabs"><?= $this->formRenderSecondaryTabs() ?></div>
        <?php Block::endPut() ?>

        <?php Block::put('body') ?>
            <?= Form::open(['class'=>'layout stretch']) ?>
                <?= $this->makeLayout('form-with-sidebar') ?>
            <?= Form::close() ?>
        <?php Block::endPut() ?>

    <?= Form::close() ?>

<?php else: ?>
    <p class="flash-message static error"><?= e(trans($this->fatalError)) ?></p>
    <p><a href="<?= Backend::url('ims/pagecontenteditor/pagecontentcontroller') ?>" class="btn btn-default"><?= e(trans('backend::lang.form.return_to_list')) ?></a></p>
<?php endif ?>